package coordinate

import (
	"fmt"
	"gdyb/controllers"
	"gdyb/service"
	"github.com/astaxie/beego"
)

type CoordinateController struct {
	controllers.BaseAuthAPIController
}

type ResultReg struct {
	ResultCode string `json:"resultCode"`
	ResultDesc string `json:"resultDesc"`
	InfoSeq    int64  `json:"infoSeq"`
}

func CoordinateRegistRouters() {
	beego.Router("/coordinate/check", &CoordinateController{}, "get:SavePatientMessageInfo")
	beego.Router("/coordinate/register", &CoordinateController{}, "get:Register")
	beego.Router("/coordinate/getWaitPayDetail", &CoordinateController{}, "get:GetWaitPayDetail")
	beego.Router("/coordinate/opKeepAccounts", &CoordinateController{}, "get:OpKeepAccounts")
	beego.Router("/coordinate/opCancelKeepAccounts", &CoordinateController{}, "get:OpCancelKeepAccounts")

}

func (c *CoordinateController) SavePatientMessageInfo() {
	//result, request_log := service.SavePatientMessageInfo()

}

func (c *CoordinateController) Register() {
	//var reg models.Reg
	//reg.
	//
	//
	//
	//result, request_log := service.SaveReg()
	//fmt.Println(result)
	//fmt.Println(request_log)

}

func (c *CoordinateController) GetWaitPayDetail() {
	result, request_log := service.GetWaitPayDetail()
	fmt.Println(result)
	fmt.Println(request_log)

}

func (c *CoordinateController) OpKeepAccounts() {
	result, request_log := service.OpKeepAccounts()
	fmt.Println(result)
	fmt.Println(request_log)
}
func (c *CoordinateController) OpCancelKeepAccounts() {
	result, request_log := service.OpCancelKeepAccounts()
	fmt.Println(result)
	fmt.Println(request_log)
}
